Account settings API
Bu içerik henüz dilinizde mevcut değil.
Account settings API
Заголовок раздела «Account settings API»Update an account
Заголовок раздела «Update an account»PATCH /account/settingsRequest
Заголовок раздела «Request»{ "account": { "name": "Name", "...": "..." }}When updating an account these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "name": "REDACTED", "currency": "rub", "locale": "ru", "time_zone": "REDACTED", "time_format_24h": true, "start_of_week": "mon", "strong_privacy": false, "end_user_privacy": false, "shared_internal_notes": false, "support_url": "REDACTED", "default_organization_id": null, "has_cis": true, "risk_management": false, "allow_agile_boards": false, "allow_external_end_user_mentions": true, "case_management": false, "problem_management": false, "release_management": false, "setting_prefer_internal_notes": true, "ai_enabled": true, "auto_req_classification": true, "host": null, "owner_id": "REDACTED"}The response contains these fields .
name
Required string (max 128) — The Name field is used to enter the full name of the account.
strong_privacy
Optional
boolean
, default:
false
— In an account for which the ‘Strong privacy’ option is enabled, access of the account’s specialists is restricted to requests, problems, tasks, and project tasks that are assigned to their team. An approver for an approval task has visibility of the entire workflow. A person with the Project Manager role can see only those projects that person is the manager of. People who are mentioned in a project task have visibility of the entire project.
end_user_privacy
Optional
boolean
, default:
false
— Users related to an account for which the ‘End user privacy’ option is enabled cannot have roles. End user-privacy accounts are limited to end users. Typically, end user-privacy accounts are used for governmental, retail, and educational organizations to register citizens, consumers, and students. These people cannot mention others or be mentioned. They can also not register requests on behalf of others, nor can requests be registered on behalf of them. They cannot be key contacts or customer representatives. Reservations are private. In no way is a person from an end user-privacy account able to see another person from that account or descendants.
setting_prefer_internal_notes
Optional
boolean
, default:
false
— Notes are internal by default when working on requests.
shared_internal_notes
Optional
boolean
, default:
false
— Allows specialists of all support domain accounts of the АО ПроПродукт directory account to see the internal notes and internal UI extension fields of this account.
allow_external_end_user_mentions
Optional
boolean
, default:
false
— Allows end users, who are registered in this account and are part of an external organization, to mention other people in the Note field of requests, workflow tasks, and project tasks.
case_management
Optional
boolean
, default:
false
— Hides fields and options on request, task, and workflow forms that are particular for IT organizations.
allow_agile_boards
Optional
boolean
, default:
false
— Allows specialists of the account to define and use agile boards, product backlogs and Scrum. This setting cannot be disabled when there are enabled agile boards, product backlogs, or scrum workspaces.
problem_management
Optional
boolean
, default:
false
— Allows problem managers to actively identify new problems for the services that they are responsible for. This setting cannot be disabled when there are unsolved problems or enabled problem managers.
release_management
Optional
boolean
, default:
false
— Allows release managers to combine multiple changes into a single release. This setting cannot be disabled when there are open releases or enabled release managers.
has_cis
Optional
boolean
, default:
true
— Allows configuration items to be linked to request templates, requests, problems, task templates, and tasks. When unchecked, it is still possible to relate reservations to configuration items.
risk_management
Optional
boolean
, default:
false
— Allows specialists of the account to register risks. This setting cannot be disabled when there are open risks.
ai_enabled
Optional
boolean
, default:
true
— Allow a generative AI–powered assistant to help teams improve the quality and efficiency of the support they provide. R-Service +AI assists support organizations by.
Providing specialists a summary of a request when it has many notes
Suggesting content when someone creates a new knowledge article from a request or problem
Help with automatically following up on requests that are waiting for customer
Your data is not stored or used for AI service improvements, nor to train AI models, nor distributed to 3rd parties. Your data is not stored or logged in any service logs.
The R-Service +AI uses subject, notes text, person name, team name, service name, service description, and problem workaround as a processing input.
R-Service +AI processes your data in the European Economic Area (EEA) region.
auto_req_classification
Optional
boolean
, default:
true if “ai_enabled” true
— Let R-Service +AI suggest or apply values for Category, Impact, Service instance and Team in requests with category ‘Other’.
default_organization_id
Optional reference to Organization — The default organization is automatically related to new person records that are automatically generated. Leave empty to use the default organization of the directory account.
support_url
Optional string (max 255) — The organization’s support website, email address, or telephone number is provided when users may be struggling to access R-Service, e.g. after having submitted their email address to set a new R-Service password.
currency
Required enum — The Currency field is used to select the currency that is applied to all financial values stored in the account. Valid values are:
:aed: United Arab Emirates Dirham:ars: Argentine Peso:aud: Australian Dollar:brl: Brazilian Real:btc: Bitcoin:cad: Canadian Dollar:chf: Swiss Franc:cny: Chinese Yuan:cop: Colombian Peso:czk: Czech Republic Koruna:dkk: Danish Krone:dzd: Algerian Dinar:eur: Euro:gbp: British Pound:hkd: Hong Kong Dollar:hrk: Croatian Kuna:huf: Hungarian Forint:idr: Indonesian Rupiah:ils: Israeli Shekel:inr: Indian Rupee:jpy: Japanese Yen:krw: Korean Won:mxn: Mexican Peso:ngn: Nigerian Naira:nok: Norwegian Krone:nzd: New Zealand Dollar:omr: Omani Rial:pkr: Pakistani Rupee:php: Philippine Peso:pln: Polish Zloty:rub: Russian Rouble:sek: Swedish Krona:sgd: Singapore Dollar:thb: Thai Baht:try: Turkish Lira:twd: Taiwan Dollar:usd: United States Dollar:zar: South African Rand
locale
Required enum — The Language field is used to select the language in which the records of the account are stored. It is also the default language that is applied to new Person records.
time_zone
Required time_zone — The Time zone field is used to select the time zone that applies to the account’s analytics and report data. It is also the default time zone that is applied to new Person records.
time_format_24h
Optional
boolean
, default:
true
— The Time format field is the default format for displaying time values that is applied to new Person records. When
true
, times are displayed within the R-Service service in the 24-hour format, otherwise the 12-hour format is applied.
start_of_week
Required enum — The Start of week” field is used to select the first day of the week for the account. Acceptable values are:
montuewedthufrisatsun
owner_id
Required reference to Person — The Owner field is used to select the account administrator who is allowed to update the billing information and settings of the account.